import { Body, Controller, Post } from '@nestjs/common';
import { AuthService } from './auth.service';
import { AuthLoginAdminDto } from './dto/auth-login-admin.dto';
import { AuthLoginOperadorDto } from './dto/auth-login-operador.dto';
import { AuthLoginUsuarioDto } from './dto/auth-login-usuario.dto';
import { ApiTags } from '@nestjs/swagger';

@Controller('auth')
@ApiTags('auth')
export class AuthController {
  constructor(private authService: AuthService) {}

  @Post('login-admin')
  loginAdmin(@Body() body: AuthLoginAdminDto) {
    return this.authService.loginAdmin(body.operador, body.password);
  }

  @Post('login-operador')
  loginOperador(@Body() body: AuthLoginOperadorDto) {
    return this.authService.loginOperador(
      body.id_institucion,
      body.id_modulo,
      body.operador,
      body.password,
    );
  }

  @Post('login-usuario')
  loginUsuario(@Body() body: AuthLoginUsuarioDto) {
    return this.authService.loginUsuario(body.usuario, body.password);
  }
}
