import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { CarreraProgramaController } from './carrera-programa.controller';
import { CarreraProgramaService } from './carrera-programa.service';
import { CarreraPrograma } from './entity/carrera-programa.entity';
import { CarreraModule } from '../carrera/carrera.module';
import { InstitucionCarreraModule } from '../institucion-carrera/institucion-carrera.module';
import { ProgramaModule } from '../programa/programa.module';

@Module({
  imports: [
    CarreraModule,
    InstitucionCarreraModule,
    TypeOrmModule.forFeature([CarreraPrograma]),
    ProgramaModule,
  ],
  controllers: [CarreraProgramaController],
  providers: [CarreraProgramaService],
})
export class CarreraProgramaModule {}
