import { Injectable, NotFoundException } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { Carrera } from './entity/carrera.entity';

@Injectable()
export class CarreraService {
  constructor(
    @InjectRepository(Carrera) private repository: Repository<Carrera>,
  ) {}

  findAll() {
    return this.repository.find();
  }

  findById(id_carrera: number) {
    return this.repository.findOne({ id_carrera }).then((carrera) => {
      if (!carrera) throw new NotFoundException('No existe esta carrera.');
      return carrera;
    });
  }

  findByCarrera(carrera: string, validarNoExiste = true) {
    return this.repository.findOne({ carrera }).then((carrera) => {
      if (validarNoExiste && !carrera)
        throw new NotFoundException('No existe esta carrera.');
      return carrera;
    });
  }
}
