import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { InstitucionCarreraController } from './institucion-carrera.controller';
import { InstitucionCarreraService } from './institucion-carrera.service';
import { InstitucionCarrera } from './entity/institucion-carrera.entity';
import { Nivel } from '../carrera/entity/nivel.entity';
import { InstitucionModule } from '../institucion/institucion.module';
import { CarreraModule } from '../carrera/carrera.module';

@Module({
  imports: [
    CarreraModule,
    InstitucionModule,
    TypeOrmModule.forFeature([InstitucionCarrera, Nivel]),
  ],
  controllers: [InstitucionCarreraController],
  providers: [InstitucionCarreraService],
  exports: [InstitucionCarreraService],
})
export class InstitucionCarreraModule {}
