import { Body, Controller, Get, Put, Query } from '@nestjs/common';
import { InstitucionService } from './institucion.service';
import { IdInstitucionDto } from '../dto/id-institucion.dto';
import { InstitucionUpdateDto } from './dto/institucion-update.dto';
import { ApiTags } from '@nestjs/swagger';

@Controller('institucion')
@ApiTags('institucion')
export class InstitucionController {
  constructor(private institucionService: InstitucionService) {}

  @Get()
  get() {
    return this.institucionService.findAll();
  }

  @Get('institucion')
  institucion(@Query() query: IdInstitucionDto) {
    return this.institucionService.findById(parseInt(query.id_institucion));
  }

  @Get('activas')
  activas() {
    return this.institucionService.findByAllActivo();
  }

  @Put()
  update(@Body() body: InstitucionUpdateDto) {
    return this.institucionService.update(body);
  }
}
