import {
  Body,
  Controller,
  Get,
  Post,
  Put,
  Query,
  UseGuards,
} from '@nestjs/common';
import { AuthGuard } from '@nestjs/passport';
import { ApiTags } from '@nestjs/swagger';
import { ModuloService } from './modulo.service';
import { IdInstitucionDto } from '../dto/id-institucion.dto';
import { ModuloCreateDto } from './dto/modulo-create.dto';
import { ModuloUpdateDto } from './dto/modulo-update.dto';
// import { Serealize } from '../interceptors/serialize.interceptor';

@Controller('modulo')
@ApiTags('modulo')
export class ModuloController {
  constructor(private moduloService: ModuloService) {}

  @Post()
  // @UseGuards(AuthGuard('jwt'))
  create(@Body() body: ModuloCreateDto) {
    return this.moduloService.create(body.id_institucion, body.modulo);
  }

  @Get()
  // @UseGuards(AuthGuard('jwt'))
  get() {
    return this.moduloService.findAll();
  }

  @Get('modulos')
  modulos(@Query() query: IdInstitucionDto) {
    return this.moduloService.findAllByIdInstitucion(
      parseInt(query.id_institucion),
    );
  }

  @Put()
  // @UseGuards(AuthGuard('jwt'))
  update(@Body() body: ModuloUpdateDto) {
    return this.moduloService.update(body);
  }
}
