import {
  Body,
  Controller,
  Get,
  Post,
  Put,
  Query,
  UseGuards,
} from '@nestjs/common';
import { AuthGuard } from '@nestjs/passport';
import { ApiTags } from '@nestjs/swagger';
import { OperadorService } from './operador.service';
import { OperadorCreateDto } from './dto/operador-create.dto';
import { OperadorOperadoresDto } from './dto/operador-operadores.dto';
import { OperadorUpdateDto } from './dto/operador-update.dto';
import { OperadorDto } from './dto/operador.dto';

@Controller('operador')
@ApiTags('operador')
export class OperadorController {
  constructor(private operadorService: OperadorService) {}

  @Post()
  // @UseGuards(AuthGuard('jwt'))
  create(@Body() body: OperadorCreateDto) {
    return this.operadorService.create(
      body.id_institucion,
      body.id_tipo_usuario,
      body.operador,
      body.password,
    );
  }

  @Get('operador')
  // @UseGuards(AuthGuard('jwt'))
  operador(@Query() query: OperadorDto) {
    return this.operadorService.findById(parseInt(query.id_operador));
  }

  @Get('operadores')
  // @UseGuards(AuthGuard('jwt'))
  operadores(@Query() query: OperadorOperadoresDto) {
    return this.operadorService.findAll(query);
  }

  // @Get('reporte')
  // @UseGuards(AuthGuard('jwt'))
  // reporte() {}

  @Put()
  // @UseGuards(AuthGuard('jwt'))
  update(@Body() body: OperadorUpdateDto) {
    return this.operadorService.update(body);
  }
}
